> ## Documentation Index
> Fetch the complete documentation index at: https://docs.nivara.io/llms.txt
> Use this file to discover all available pages before exploring further.

# Update Profile

# Update Profile

Endpoint for updating user profile information.

## Request Body

| Field      | Type   | Required | Description         |
| ---------- | ------ | -------- | ------------------- |
| name       | string | No       | User's full name    |
| phone      | string | No       | User's phone number |
| address    | string | No       | User's address      |
| company    | string | No       | User's company name |
| job\_title | string | No       | User's job title    |
| bio        | string | No       | User's biography    |

## Responses

| Status | Description      | Content Type     |
| ------ | ---------------- | ---------------- |
| 200    | Profile updated  | text/html        |
| 422    | Validation Error | application/json |


## OpenAPI

````yaml POST /update-profile
openapi: 3.1.0
info:
  title: FastAPI
  version: 0.1.0
servers: []
security: []
paths:
  /update-profile:
    post:
      summary: Update Profile
      operationId: update_profile_update_profile_post
      requestBody:
        content:
          application/x-www-form-urlencoded:
            schema:
              $ref: '#/components/schemas/Body_update_profile_update_profile_post'
      responses:
        '200':
          description: Successful Response
          content:
            text/html:
              schema:
                type: string
        '422':
          description: Validation Error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/HTTPValidationError'
components:
  schemas:
    Body_update_profile_update_profile_post:
      properties:
        name:
          type: string
          title: Name
        phone:
          type: string
          title: Phone
        address:
          type: string
          title: Address
        company:
          type: string
          title: Company
        job_title:
          type: string
          title: Job Title
        bio:
          type: string
          title: Bio
      type: object
      title: Body_update_profile_update_profile_post
    HTTPValidationError:
      properties:
        detail:
          items:
            $ref: '#/components/schemas/ValidationError'
          type: array
          title: Detail
      type: object
      title: HTTPValidationError
    ValidationError:
      properties:
        loc:
          items:
            anyOf:
              - type: string
              - type: integer
          type: array
          title: Location
        msg:
          type: string
          title: Message
        type:
          type: string
          title: Error Type
      type: object
      required:
        - loc
        - msg
        - type
      title: ValidationError

````